You are viewing documentation for the older version of YouTrack!

Skip to end of metadata
Go to start of metadata

Before you begin:


If you try to re-import same project several times, then you must delete previously imported data before the next attempt.


This document describes Python library that wraps YouTrack REST API.

Getting Started


Current implementation of the Python Client Library and scripts is compatible with YouTrack 3.x and higher REST API and Python 2.6.
If you use YouTrack 2.x, please refer to YouTrack Release Downloads Archive for the YouTrack 2.x compatible versions of the library and scripts.


  1. Download the latest version of YouTrack Python Client library and unzip it.
  2. Install Python


Get Issues

Create Issue

Other Methods

See method of class Connection in youtrack/